WordPress.org

Support

Support » Plugins and Hacks » uCan Post » [Plugin: uCan Post] Do not run the plugin! Security issue!

[Plugin: uCan Post] Do not run the plugin! Security issue!

Viewing 1 replies (of 1 total)
  • Plugin Author cartpauj

    @cartpauj

    If you do not want users to have access to media, please find lines in the ucan-post-class.php file:

    $role = get_role('contributor');
          $role->add_cap('upload_files');
          $role = get_role('subscriber');
          $role->add_cap('upload_files');
          $role->add_cap('unfiltered_html');

    Change them to this:

    $role = get_role('contributor');
          $role->remove_cap('upload_files');
          $role = get_role('subscriber');
          $role->remove_cap('upload_files');
          $role->remove_cap('unfiltered_html');

    After changing these lines you will need to de-activate and re-activate the plugin before it will take affect.

Viewing 1 replies (of 1 total)
  • The topic ‘[Plugin: uCan Post] Do not run the plugin! Security issue!’ is closed to new replies.
Skip to toolbar